class Myman < Formula
  desc "Text-mode videogame inspired by Namco's Pac-Man"
  homepage "https://myman.sourceforge.io/"
  url "https://downloads.sourceforge.net/project/myman/myman-cvs/myman-cvs-2009-10-30/myman-wip-2009-10-30.tar.gz"
  sha256 "bf69607eabe4c373862c81bf56756f2a96eecb8eaa8c911bb2abda78b40c6d73"
  head ":pserver:anonymous:@myman.cvs.sourceforge.net:/cvsroot/myman", using: :cvs

  depends_on "groff" => :build

  uses_from_macos "ncurses"

  on_macos do
    depends_on "coreutils" => :build
    depends_on "gnu-sed" => :build
  end

  on_linux do
    depends_on "util-linux" => :build # for `col`
  end

  def install
    if OS.mac?
      ENV["RMDIR"] = "grmdir"
      ENV["SED"] = "gsed"
      ENV["INSTALL"] = "ginstall"
    end
    system "./configure", "--disable-debug",
                          "--disable-dependency-tracking",
                          "--disable-silent-rules",
                          "--prefix=#{prefix}"
    system "make", "install"
  end

  test do
    system bin/"myman", "-k"
  end
end
